{* $Id: update.tpl 0005 2009-09-11 11:31:43Z murzik $ *}

{capture name="mainbox"}

<form action="https://www.DIRECTebanking.com/payment/createNew/" method="post" class="cm-form-highlight" name="directebanking_create">

<input type="hidden" name="backlink" value="{$config.http_location}/{$index_script}?dispatch=directebanking.backlink&payment_id={$smarty.request.payment_id}" id="backlink" />
<input type="hidden" name="debug" value="1" />

{include file="common_templates/subheader.tpl" title=$lang.customer_details}

<div class="form-field">
	<label for="user_salutation" class="cm-required">{$lang.user_salutation}:</label>
	<select name="user_salutation" id="user_salutation">
		<option value="1">Company</option>
		<option value="2">Mr</option>
		<option value="3">Ms</option>
	</select>
</div>

<div class="form-field">
	<label for="user_name1" class="cm-required">{$lang.user_name1}:</label>
	<input type="text" name="user_name1" id="user_name1" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_name}" />
</div>

<div class="form-field">
	<label for="user_street" class="cm-required">{$lang.user_street}:</label>
	<input type="text" name="user_street" id="user_street" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_address}" />
</div>

<div class="form-field">
	<label for="user_zipcode" class="cm-required">{$lang.user_zipcode}:</label>
	<input type="text" name="user_zipcode" id="user_zipcode" class="input-text" size="60" maxlength="20" value="{$settings.Company.company_zipcode}" />
</div>

<div class="form-field">
	<label for="user_city" class="cm-required">{$lang.user_city}:</label>
	<input type="text" name="user_city" id="user_city" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_city}" />
</div>

<div class="form-field">
	<label for="user_country_id" class="cm-required">{$lang.user_country_id}:</label>
	{assign var="_country" value=$value|default:$settings.General.default_country}
	<select id="user_country_id" name="user_country_id">
		<option value="">- {$lang.select_country} -</option>
		{foreach from=$countries item=country}
		<option value="{$country.code}"{if $country.code == $settings.Company.company_country} selected="selected"{/if}>{$country.country}</option>
		{/foreach}
	</select>
</div>

<div class="form-field">
	<label for="user_legal_form_id" class="cm-required">{$lang.user_legal_form_id}:</label>
	<select id="user_country_id" name="user_country_id">
		<option value="1">No legal form / individual</option>
		<option value="2">Legal form not listed</option>
		<option value="3">Independent / Freelance</option>
		<option value="4">Incorporated (Aktiengesellschaft)</option>
		<option value="5">Incorporated & Unlimited (Aktiengesellschaft & Co. KG)</option>
		<option value="6">Inc & Pty Ltd (AG & Co. OHG)</option>
		<option value="7">Co-op / Mutual / Society (Genossenschaft)</option>
		<option value="8">Limited Company (Ltd) (Gesellschaft mit beschränkter Haftung)</option>
		<option value="9">Proprietary Limited & Unlimited (Gesellschaft mit beschränkter Haftung & Co. KG)</option>
		<option value="10">Gesellschaft mit beschränkter Haftung & Co. KEG</option>
		<option value="11">Limited partnership (Gesellschaft mit beschränkter Haftung & Co. OHG)</option>
		<option value="12">Company under civil law (Gesellschaft nach bürgerlichem Recht)</option>
		<option value="13">Kommanditerwerbsgesellschaft</option>
		<option value="14">Kommanditgesellschaft</option>
		<option value="15">Offene Erwerbsgesellschaft</option>
		<option value="16">Offene Handelsgesellschaft</option>
		<option value="17">Registered Limited Company (Ltd)</option>
		<option value="18">Registered Co-op</option>
		<option value="19">Registered Sole Trader</option>
		<option value="20">Registered Association</option>
		<option value="21">Limited</option>
		<option value="22">Public Limited Company</option>
		<option value="23">Société anonyme</option>
		<option value="24">Société à responsabilité limitée</option>
		<option value="25">Societas Europaea</option>
	</select>
</div>

<div class="form-field">
	<label for="user_email" class="cm-required cm-email">{$lang.user_email}:</label>
	<input type="text" name="user_email" id="user_email" class="input-text" size="60" maxlength="255" value="{$settings.Company.company_site_administrator}" />
</div>

<div class="form-field">
	<label for="user_phone" class="cm-required">{$lang.user_phone}:</label>
	<input type="text" name="user_phone" id="user_phone" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_phone}" />
</div>

<input type="hidden" name="user_shop_system_id" value="126" />

{*
<div class="form-field">
	<label for="user_shop_system_id" class="cm-required cm-integer">{$lang.user_shop_system_id}:</label>
	<input type="text" name="user_shop_system_id" id="user_shop_system_id" class="input-text" size="60" />
</div>
*}

{include file="common_templates/subheader.tpl" title=$lang.invoice_address}

<div class="form-field">
	<label for="usersinvoiceaddress_salutation" class="cm-required">{$lang.usersinvoiceaddress_salutation}:</label>
	<select name="usersinvoiceaddress_salutation" id="usersinvoiceaddress_salutation">
		<option value="1">Company</option>
		<option value="2">Mr</option>
		<option value="3">Ms</option>
	</select>
</div>

<div class="form-field">
	<label for="usersinvoiceaddress_name1" class="cm-required">{$lang.usersinvoiceaddress_name1}:</label>
	<input type="text" name="usersinvoiceaddress_name1" id="usersinvoiceaddress_name1" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_name}" />
</div>

<div class="form-field">
	<label for="usersinvoiceaddress_street" class="cm-required">{$lang.usersinvoiceaddress_street}:</label>
	<input type="text" name="usersinvoiceaddress_street" id="usersinvoiceaddress_street" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_address}" />
</div>
<div class="form-field">
	<label for="usersinvoiceaddress_zipcode">{$lang.usersinvoiceaddress_zipcode}:</label>
	<input type="text" name="usersinvoiceaddress_zipcode" id="usersinvoiceaddress_zipcode" class="input-text" size="60" maxlength="20" value="{$settings.Company.company_zipcode}" />
</div>

<div class="form-field">
	<label for="usersinvoiceaddress_city" class="cm-required">{$lang.usersinvoiceaddress_city}:</label>
	<input type="text" name="usersinvoiceaddress_city" id="usersinvoiceaddress_city" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_city}" />
</div>

<div class="form-field">
	<label for="usersinvoiceaddress_country_id" class="cm-required">{$lang.usersinvoiceaddress_country_id}:</label>
	{assign var="_country" value=$value|default:$settings.General.default_country}
	<select id="usersinvoiceaddress_country_id" name="usersinvoiceaddress_country_id">
		<option value="">- {$lang.select_country} -</option>
		{foreach from=$countries item=country}
		<option value="{$country.code}"{if $country.code == $settings.Company.company_country} selected="selected"{/if}>{$country.country}</option>
		{/foreach}
	</select>

</div>

<div class="form-field">
	<label for="usersinvoiceaddress_legal_form_id" class="cm-required">{$lang.usersinvoiceaddress_legal_form_id}:</label>
	<select id="usersinvoiceaddress_legal_form_id" name="usersinvoiceaddress_legal_form_id">
		<option value="1">No legal form / individual</option>
		<option value="2">Legal form not listed</option>
		<option value="3">Independent / Freelance</option>
		<option value="4">Incorporated (Aktiengesellschaft)</option>
		<option value="5">Incorporated & Unlimited (Aktiengesellschaft & Co. KG)</option>
		<option value="6">Inc & Pty Ltd (AG & Co. OHG)</option>
		<option value="7">Co-op / Mutual / Society (Genossenschaft)</option>
		<option value="8">Limited Company (Ltd) (Gesellschaft mit beschränkter Haftung)</option>
		<option value="9">Proprietary Limited & Unlimited (Gesellschaft mit beschränkter Haftung & Co. KG)</option>
		<option value="10">Gesellschaft mit beschränkter Haftung & Co. KEG</option>
		<option value="11">Limited partnership (Gesellschaft mit beschränkter Haftung & Co. OHG)</option>
		<option value="12">Company under civil law (Gesellschaft nach bürgerlichem Recht)</option>
		<option value="13">Kommanditerwerbsgesellschaft</option>
		<option value="14">Kommanditgesellschaft</option>
		<option value="15">Offene Erwerbsgesellschaft</option>
		<option value="16">Offene Handelsgesellschaft</option>
		<option value="17">Registered Limited Company (Ltd)</option>
		<option value="18">Registered Co-op</option>
		<option value="19">Registered Sole Trader</option>
		<option value="20">Registered Association</option>
		<option value="21">Limited</option>
		<option value="22">Public Limited Company</option>
		<option value="23">Société anonyme</option>
		<option value="24">Société à responsabilité limitée</option>
		<option value="25">Societas Europaea</option>
	</select>
</div>

{include file="common_templates/subheader.tpl" title=$lang.contact_person}

<div class="form-field">
	<label for="userscontact_salutation" class="cm-required">{$lang.userscontact_salutation}:</label>
	<select name="userscontact_salutation" id="userscontact_salutation">
		<option value="2">Mr</option>
		<option value="3">Ms</option>
	</select>
</div>

<div class="form-field">
	<label for="userscontact_name1" class="cm-required">{$lang.userscontact_name1}:</label>
	<input type="text" name="userscontact_name1" id="userscontact_name1" class="input-text" size="60" maxlength="30" value="{$user_data.firstname}" />
</div>

<div class="form-field">
	<label for="userscontact_email" class="cm-required cm-email">{$lang.userscontact_email}:</label>
	<input type="text" name="userscontact_email" id="userscontact_email" class="input-text" size="60" maxlength="255" value="{$user_data.email}" />
</div>

<div class="form-field">
	<label for="userscontact_phone" class="cm-required">{$lang.userscontact_phone}:</label>
	<input type="text" name="userscontact_phone" id="userscontact_phone" class="input-text" size="60" maxlength="30" value="{$user_data.phone}" />
</div>

{include file="common_templates/subheader.tpl" title=$lang.bank_details_for_direct_debit_procedure}

<div class="form-field">
	<label for="usersdirectdebitbankaccount_holder" class="cm-required">{$lang.usersdirectdebitbankaccount_holder}:</label>
	<input type="text" name="usersdirectdebitbankaccount_holder" id="usersdirectdebitbankaccount_holder" class="input-text" size="60" maxlength="27" />
</div>

<div class="form-field">
	<label for="usersdirectdebitbankaccount_account_number" class="cm-required">{$lang.usersdirectdebitbankaccount_account_number}:</label>
	<input type="text" name="usersdirectdebitbankaccount_account_number" id="usersdirectdebitbankaccount_account_number" class="input-text" size="60"  maxlength="30" />
</div>

<div class="form-field">
	<label for="usersdirectdebitbankaccount_bank_code" class="cm-required">{$lang.usersdirectdebitbankaccount_bank_code}:</label>
	<input type="text" name="usersdirectdebitbankaccount_bank_code" id="usersdirectdebitbankaccount_bank_code" class="input-text" size="60" maxlength="30" />
</div>

<div class="form-field">
	<label for="usersdirectdebitbankaccount_country_id" class="cm-required">{$lang.usersdirectdebitbankaccount_country_id}:</label>
	{assign var="_country" value=$value|default:$settings.General.default_country}
	<select id="usersdirectdebitbankaccount_country_id" name="usersdirectdebitbankaccount_country_id">
		<option value="">- {$lang.select_country} -</option>
		{foreach from=$countries item=country}
		<option value="{$country.code}">{$country.country}</option>
		{/foreach}
	</select>
</div>

{include file="common_templates/subheader.tpl" title=$lang.project_details}

<div class="form-field">
	<label for="project_salutation" class="cm-required">{$lang.project_salutation}:</label>
	<select name="project_salutation" id="project_salutation">
		<option value="1">Company</option>
		<option value="2">Mr</option>
		<option value="3">Ms</option>
	</select>
</div>

<div class="form-field">
	<label for="project_name1" class="cm-required">{$lang.project_name1}:</label>
	<input type="text" name="project_name1" id="project_name1" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_name}" />
</div>

<div class="form-field">
	<label for="project_street" class="cm-required">{$lang.project_street}:</label>
	<input type="text" name="project_street" id="project_street" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_address}" />
</div>

<div class="form-field">
	<label for="project_zipcode" class="cm-required">{$lang.project_zipcode}:</label>
	<input type="text" name="project_zipcode" id="project_zipcode" class="input-text" size="60" maxlength="20" value="{$settings.Company.company_zipcode}" />
</div>

<div class="form-field">
	<label for="project_city" class="cm-required">{$lang.project_city}:</label>
	<input type="text" name="project_city" id="project_city" class="input-text" size="60" maxlength="30" value="{$settings.Company.company_city}" />
</div>

<div class="form-field">
	<label for="project_country_id" class="cm-required">{$lang.project_country_id}:</label>
	{assign var="_country" value=$value|default:$settings.General.default_country}
	<select id="project_country_id" name="project_country_id">
		<option value="">- {$lang.select_country} -</option>
		{foreach from=$countries item=country}
		<option value="{$country.code}"{if $country.code == $settings.Company.company_country} selected="selected"{/if}>{$country.country}</option>
		{/foreach}
	</select>
</div>

<input type="hidden" name="project_shop_system_id" value="126" />
{*
<div class="form-field">
	<label for="project_shop_system_id" class="cm-required cm-integer">{$lang.project_shop_system_id}:</label>
	<input type="text" name="project_shop_system_id" id="project_shop_system_id" class="input-text" size="60" />
</div>
*}

{include file="common_templates/subheader.tpl" title=$lang.project_settings}
{assign var="success_url" value="`$config.http_location`/`$config.customer_index`?dispatch=payment_notification.success&payment=directebanking&order_id=-USER_VARIABLE_0-"}
{assign var="abort_url" value="`$config.http_location`/`$config.customer_index`?dispatch=payment_notification.abort&payment=directebanking&order_id=-USER_VARIABLE_0-"}
<input type="hidden" name="projectspaymentsetting_interface_success_link" value="{$success_url}" />
<input type="hidden" name="projectspaymentsetting_interface_success_link_redirect" value="1" />
<input type="hidden" name="projectspaymentsetting_interface_cancel_link" value="{$abort_url}" />

<input type="hidden" name="projectssetting_locked_amount" value="1" />
<input type="hidden" name="projectssetting_locked_reason_1" value="1" />

<input type="hidden" name="projectsnotification_email_activated" value="1" />
<input type="hidden" name="projectsnotification_email_email" value="{$user_data.email}" />
<input type="hidden" name="projectsnotification_email_language_id" value="{$user_data.lang_code}" />

<input type="hidden" name="projectssetting_interface_input_hash_check_enabled" value="1" />

<div class="form-field">
	<label for="projectssetting_project_password" class="cm-required">{$lang.projectssetting_project_password}:</label>
	<input type="text" name="projectssetting_project_password" id="projectssetting_project_password" class="input-text" size="60" onchange="$('#backlink').val('{$config.http_location}/{$index_script}?dispatch=directebanking.backlink&payment_id={$smarty.request.payment_id}&project_password=' + this.value);" />
	&nbsp;<a href="{$index_script}" onclick="jQuery.ajaxRequest('{$index_script}?dispatch=directebanking.generate_password', {ldelim}method: 'GET', callback: fn_get_generated_password{rdelim}); return false;">{$lang.generate_password}</a>
	<script type="text/javascript">
	//<![CDATA[
		function fn_get_generated_password ( data )
		{ldelim}
			$('#projectssetting_project_password').val(data.generated_project_password);
			$('#backlink').val('{$config.http_location}/{$index_script}?dispatch=directebanking.backlink&payment_id={$smarty.request.payment_id}&project_password=' + $('#projectssetting_project_password').val());
		{rdelim}
		
	//]]>
	</script>
</div>

<input type="hidden" name="project_hash_algorithm" value="sha1" />

{include file="common_templates/subheader.tpl" title=$lang.project_bank_account}

<div class="form-field">
	<label for="projectsbankaccount_holder" class="cm-required">{$lang.projectsbankaccount_holder}:</label>
	<input type="text" name="projectsbankaccount_holder" id="projectsbankaccount_holder" class="input-text" size="60" maxlength="27" />
</div>

<div class="form-field">
	<label for="projectsbankaccount_account_number" class="cm-required">{$lang.projectsbankaccount_account_number}:</label>
	<input type="text" name="projectsbankaccount_account_number" id="projectsbankaccount_account_number" class="input-text" size="60" maxlength="30" />
</div>

<div class="form-field">
	<label for="projectsbankaccount_bank_code" class="cm-required">{$lang.projectsbankaccount_bank_code}:</label>
	<input type="text" name="projectsbankaccount_bank_code" id="projectsbankaccount_bank_code" class="input-text" size="60" maxlength="30" />
</div>

<div class="form-field">
	<label for="projectsbankaccount_country_id" class="cm-required">{$lang.projectsbankaccount_country_id}:</label>
	{assign var="_country" value=$value|default:$settings.General.default_country}
	<select id="projectsbankaccount_country_id" name="projectsbankaccount_country_id">
		<option value="">- {$lang.select_country} -</option>
		{foreach from=$countries item=country}
		<option value="{$country.code}">{$country.country}</option>
		{/foreach}
	</select>
</div>

{*
{include file="common_templates/subheader.tpl" title=$lang.email_notifications}

<div class="form-field">
	<label for="projectsnotification_email_activated" class="cm-required">{$lang.projectsnotification_email_activated}:</label>
	<select name="projectsnotification_email_activated" id="projectsnotification_email_activated">
		<option value="0">No</option>
		<option value="1">Yes</option>
	</select>
</div>

<div class="form-field">
	<label for="projectsnotification_email_email" class="cm-required cm-email">{$lang.projectsnotification_email_email}:</label>
	<input type="text" name="projectsnotification_email_email" id="projectsnotification_email_email" class="input-text" size="60" maxlength="255" />
</div>

<div class="form-field">
	<label for="projectsnotification_email_language_id" class="cm-required">{$lang.projectsnotification_email_language_id}:</label>
	<select name="projectsnotification_email_language_id" id="projectsnotification_email_language_id">
		<option value="DE">German</option>
		<option value="EN">English</option>
		<option value="IT">Italian</option>
		<option value="FR">French</option>
	</select>
</div>
*}

{*include file="common_templates/subheader.tpl" title=$lang.http_notification*}

<input type="hidden" name="projectsnotification_http_activated" value="1" />
{assign var="notification_url" value="`$config.http_location`/`$config.customer_index`?dispatch=payment_notification.notification&payment=directebanking&order_id=-USER_VARIABLE_0-"}
<input type="hidden" name="projectsnotification_http_url" value="{$notification_url}" />
<input type="hidden" name="projectsnotification_http_method" value="1" />

{*
<div class="form-field">
	<label for="projectsnotification_http_activated" class="cm-required">{$lang.projectsnotification_http_activated}:</label>
	<select name="projectsnotification_http_activated" id="projectsnotification_http_activated">
		<option value="0">No</option>
		<option value="1">Yes</option>
	</select>
</div>

<div class="form-field">
	<label for="projectsnotification_http_url" class="cm-required">{$lang.projectsnotification_http_url}:</label>
	<input type="text" name="projectsnotification_http_url" id="projectsnotification_http_url" class="input-text" size="60" />
</div>

<div class="form-field">
	<label for="projectsnotification_http_method" class="cm-required">{$lang.projectsnotification_http_method}:</label>
	<select name="projectsnotification_http_method" id="projectsnotification_http_method">
		<option value="1">POST</option>
		<option value="2">GET</option>
	</select>
</div>
*}

{*
{include file="common_templates/subheader.tpl" title=$lang.http_response_notification}

<div class="form-field">
	<label for="projectsnotification_httpresponse_activated" class="cm-required">{$lang.projectsnotification_httpresponse_activated}:</label>
	<select name="projectsnotification_httpresponse_activated" id="projectsnotification_httpresponse_activated">
		<option value="0">No</option>
		<option value="1">Yes</option>
	</select>
</div>

<div class="form-field">
	<label for="projectsnotification_httpresponse_url" class="cm-required">{$lang.projectsnotification_httpresponse_url}:</label>
	<input type="text" name="projectsnotification_httpresponse_url" id="projectsnotification_httpresponse_url" class="input-text" size="60" />
</div>

<div class="form-field">
	<label for="projectsnotification_httpresponse_method" class="cm-required">{$lang.projectsnotification_httpresponse_method}:</label>
	<select name="projectsnotification_httpresponse_method" id="projectsnotification_httpresponse_method">
		<option value="1">POST</option>
		<option value="2">GET</option>
	</select>
</div>

<div class="form-field">
	<label for="projectsnotification_httpresponse_text" class="cm-required">{$lang.projectsnotification_httpresponse_text}:</label>
	<input type="text" name="projectsnotification_httpresponse_text" id="projectsnotification_httpresponse_text" class="input-text" size="60" />
</div>
*}

<div class="buttons-container buttons-bg cm-toggle-button">
	{include file="buttons/create_cancel.tpl" but_name="dispatch[directebanking.update]" but_text=$lang.submit}
</div>

</form>

{/capture}

{assign var="title" value="`$lang.create_account_in_directebanking_system`"}

{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
